Subject: Re: Fwd: [OPS-DIR] OPS-DIR Review of draft-yevstifeyev-tn3270-uri-12

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 13 Jan 2011 02:57:35 +0200

12.01.2011 14:19, Ersue, Mehmet (NSN - DE/Munich) wrote:
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of ext Ersue, Mehmet (NSN - DE/Munich)
> Sent: Wednesday, January 12, 2011 1:07 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [OPS-DIR] OPS-DIR Review of draft-yevstifeyev-tn3270-uri-12
>
> I reviewed draft-yevstifeyev-tn3270-uri-12 for its operational impacts..
>
> Summary:
> The document gives a specification of syntax, semantics and use of
> 'tn3270' URI scheme.
>
> Obviously this is an individual submission without any document write-up
> and supporting AD.
Why without?  Peter Saint-Andre is sponsoring AD.
> I would like to read a document write-up with the regular template even
> if it is written by the author.
>
> The main purpose of the document, namely to update the IANA registration
> of tn3270 URI scheme using the given registration template, should be
> added to the Introduction section. In general I would suggest to include
> in the Introduction section the purpose of the action and more
> importantly why existing IANA registrations are not sufficient and why
> the publication of this RFC is needed.
Agreed.  I'll add that as soon as possible.
> Obviously the GEN-Area reviewer (Tom Petch) has an opposite opinion and
> does not see this IANA registration in the interest of IETF (see
> https://www.ietf.org/ibin/c5i?mid=6&rid=49&gid=0&k1=933&k2=55119&tid=129
> 4831574). The reviewer furthermore states, following the rules in
> RFC4395 the document should provide concrete contact information for the
> editor instead of an anonymous email address only.
That would be corrected so that the author will be IETF and contact - IESG.
> I don't see any additional operation impact other than above.
>
> Other issues:
>
> - The used language needs some polishing.
>
> - Following are draft nits suggesting correction:
>
> == The copyright year in the IETF Trust and authors Copyright Line does
> not
>     match the current year
>
> ->  Use new template or: s/2010/2011/
Will be corrected.
> -- Obsolete informational reference (is this intentional?): RFC 1738
>     (Obsoleted by RFC 4248, RFC 4266)
>
> ->  Use correct reference or clarify.
Obsolete Informational references are allowed.  I don't see a problem here.

Mykyta
>
> Mehmet
>
> _______________________________________________
> OPS-DIR mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ops-dir
>

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 13 Jan 2011 17:55:53 +0200

13.01.2011 13:28, Ersue, Mehmet (NSN - DE/Munich) wrote:
>>> The reviewer furthermore states, following the rules in
> I am not really sure whether this is appropriate.
>
> Why are you keen of keeping it more or less anonymous?
Mehmet, all,

Mentioning my full contact data makes no sense.  I can hardly imagine 
that somebody will come to Ukraine, search Kotovsk (that is rather small 
town) and than particular street, etc. to ask me about the URI scheme.  
Those who want that would prefer to contact me by email.

And nevertheless I'd like the registration template shall contain IETF 
as author and IESG as contact.  That is rather usual for IETF-stream RFCs.

All the best,
Mykyta Yevstifeyev
> Cheers,
>> From: ext Mykyta Yevstifeyev [mailto:[email-masked]]
>> Sent: Thursday, January 13, 2011 1:58 AM
>> To: Ersue, Mehmet (NSN - DE/Munich); IETF Discussion
>> Subject: Re: Fwd: [OPS-DIR] OPS-DIR Review of
> draft-yevstifeyev-tn3270-
>> uri-12
>>

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 13 Jan 2011 12:28:53 +0100

Cheers,
Mehmet

> > does not see this IANA registration in the interest of IETF (see
https://www.ietf.org/ibin/c5i?mid=6&rid=49&gid=0&k1=933&k2=55119&tid=12
> 9

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Thu, 13 Jan 2011 12:42:29 -0500

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Mykyta Yevstifeyev [[email-masked]]

In many cases, a person's postal address is more stable and easier to translate into other contact information than the person's e-mail address.

Dale

---

From: Ole Jacobsen <[email-masked]>
Date: Thu, 13 Jan 2011 09:53:08 -0800 (PST)

I agree with Dale. I have subscriber database of with around 30,000 
records and the "churn" in e-mail addresses is much higher than 
changes in postal information. Of course in (some parts of) the real 
world, the concept of forwarding, address correction etc exists so 
that I (sometimes) get notified of the new postal address. In most 
e-mail cases all I get is a mailer-daemon message.

I don't think there is any simple solution to the author contact 
information problem. Like most things, it will be correct at the
time of publication but subject to change in the future. Given that
RFCs are archival documents this could only be solved with some
large dynamic errata database that nobody is prepared to maintain
I am sure.

Ole

Ole J. Jacobsen
Editor and Publisher,  The Internet Protocol Journal
Cisco Systems
Tel: +1 408-527-8972   Mobile: +1 415-370-4628
E-mail: [email-masked]  URL: http://www.cisco.com/ipj

> In many cases, a person's postal address is more stable and easier 
> to translate into other contact information than the person's e-mail 
> address.
> 
> Dale

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 13 Jan 2011 12:53:21 -0500

I would also point out that there is a difference between a contact for 
a draft and a contact for a registry.
For a draft, there is always an individual contact.  We frequently 
accept that the only contact information is an email address.

For a registry, the contact information requirement depends upon what 
the update policy is for the registry.

Yours,
Joel

On 1/13/2011 12:42 PM, Worley, Dale R (Dale) wrote:
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 13 Jan 2011 11:12:22 -0700

> the update policy is for the registry.

For what it's worth, Section 10 of the informational RFC 2223
("Instructions to RFC Authors") states:

   Each RFC must have at the very end a section giving the author's
   address, including the name and postal address, the telephone number,
   (optional: a FAX number) and the Internet email address.

However, I agree that inclusion of all but the name and email address
has not been enforced.

Peter

--
Peter Saint-Andre
https://stpeter.im/

---

From: "Doug Ewell" <[email-masked]>
Date: Thu, 13 Jan 2011 22:56:02 -0700

> (optional: a FAX number) and the Internet email address.

The Internet is not the type of chummy small-town environment where we 
can trust just anybody with our home address and phone number, or our 
bank account and credit card numbers, and where we can leave our front 
doors unlocked at night.

I worked on two I-Ds in a WG where participant A once responded to 
participant B's support of an RFC 3683 P-R action against A by 
contacting B's employer, gleaned from his e-mail address, demanding that 
the employer take professional action against B.  In this type of 
hostile environment, I declined to state my employer's name or post to 
the WG list from my work address, much less divulge other personal 
information, and edited both RFC 4645 and 5646 as "Consultant."

The argument that personal information is necessary to distinguish the 
author from other people with the same name probably carries some weight 
for authors named "John Smith" or "Bob Miller."  There are few enough 
people named "Doug Ewell" in the world that the risk of ambiguity of 
authorship seems much more remote than the risk to personal security if 
too much personal information is provided.  I suspect the same is true 
for people named "Mykyta Yevstifeyev."

Having said that, I don't think there is any precedent for I-D authors 
or editors to claim their document was written by "IETF" or "IESG," and 
I doubt this will be permitted.

--
Doug Ewell | Thornton, Colorado, USA | http://www.ewellic.org
RFC 5645, 4645, UTN #14 | ietf-languages @ is dot gd slash 2kf0s

---

From: "Doug Ewell" <[email-masked]>
Date: Thu, 13 Jan 2011 23:14:58 -0700

I wrote:

> I [...] edited both RFC 4645 and 5646 as "Consultant."

s/5646/5645/

---

From: "t.petch" <[email-masked]>
Date: Fri, 14 Jan 2011 10:11:24 +0100

----- Original Message -----
From: "Doug Ewell" <[email-masked]>
To: "The IETF" <[email-masked]>
Sent: Friday, January 14, 2011 6:56 AM
Subject: Re: author's address (was: Re: Fwd: [OPS-DIR] OPS-DIR
Reviewofdraft-yevstifeyev-tn3270-uri-12)

> bank account and credit card numbers, and where we can leave our front

As Joel pointed out, the Last Call issue is the contact details for change
control
in the registration of a widely used URI with IANA, details which consist
solely of a gmail address.  Is that enough to grant change control of this
URI (in which a number of people from a number of organisations have
expressed an ongoing interest)?

RFC4395 appears to be silent.

Tom Petch

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 14 Jan 2011 07:45:11 -0500

I believe that my personal security trumps any and all considerations that
might be raised here.

I do not give my home address out and do not intend to change. If the RFC
editor were to insist that the fields are filled they are going to get a
fake address.

Corporate addresses are even less useful. Very few people in the IETF have
the same employer for more than five years. And even those who have the same
employer are unlikely to have the same office building very long.

-- 
Website: http://hallambaker.com/

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 14 Jan 2011 16:50:21 +0200

14.01.2011 11:11, t.petch wrote:
> From: "Doug Ewell"<[email-masked]>
> To: "The IETF"<[email-masked]>
Hello all,

Summarizing all discussions I propose and find appropriate the following:

-----------
<....>
4. IANA Considerations
<.....>
Contact: IESG <[email-masked]>
Author/Change controller: IETF <[email-masked]>
<.....>
Author's Addresses

Mykyta Yevstifeyev
8 Kuzovkov St., flat 25,
Kotovsk, Ukraine

EMail: [email-masked]
-----------

All the best,
Mykyta Yevstifeyev

---

From: Marshall Eubanks <[email-masked]>
Date: Fri, 14 Jan 2011 10:06:29 -0500

On Jan 14, 2011, at 7:45 AM, Phillip Hallam-Baker wrote:

> I believe that my personal security trumps any and all considerations that might be raised here.
> 
> I do not give my home address out and do not intend to change. If the RFC editor were to insist that the fields are filled they are going to get a fake address.
> 
> 

They should not insist on anything of the sort. 

> Corporate addresses are even less useful. Very few people in the IETF have the same employer for more than five years. And even those who have the same employer are unlikely to have the same office building very long.
> 
> 

What, exactly, is the issue here ? How IANA authenticates someone with change control over some resource ?
That, clearly, is a lot bigger than just this RFC. I would assume (and feel sure) that IANA is not just blindly going by
email address, but by their judgement. I am also not sure what having an address will do to help with this. I doubt IANA
will be sending inspectors to people's houses asking to see ID.

If there seems to be of particular risk of such attacks for this URI, I would suggest adding 
text in the security section (or the IANA considerations).

If impersonation attacks seem like a real threat in general, then someone who feels that way 
should write a draft specifying how IANA should authenticate people.

Regards
Marshall

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Fri, 14 Jan 2011 10:52:40 -0500

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Phillip Hallam-Baker [[email-masked]]

There are a number of ways of establishing a postal address that is not connected to one's physical residence.  Indeed, such postal addresses are often more stable than one's residence address.  So I don't see any conflict of requirements here.

(Though the idea of an author being targeted for assassination for writing an RFC does pique my interest!)

Dale

---

From: Julian Reschke <[email-masked]>
Date: Fri, 14 Jan 2011 17:30:49 +0100

On 14.01.2011 16:52, Worley, Dale R (Dale) wrote:
> ...

We probably should require a Facebook URI.

Best regards, Julian

---

From: Sandy Ginoza <[email-masked]>
Date: Fri, 21 Jan 2011 09:16:40 -0800

Greetings,

Sorry I'm late to the discussion, but I wanted to point out our actual policy regarding the Author's Address:

From "RFC Document Style" (http://www.rfc-editor.org/rfc-style-guide/rfc-style)
4.9.  "Author's Address" Section

   This required section gives contact information for the author(s)
   listed in the first-page header, and perhaps those listed in a
   Contributors section.

   Contact information must include at least one, and ideally would
   include all, of a postal address, a telephone number and/or FAX
   number, and a long-lived email address.  The purpose of this section
   is to (1) unambiguously define author/contributor identity (e.g., the
   John Smith who works for FooBar Systems) and to (2) provide contact
   information for future readers who have questions or comments.  Note
   that some professional societies offer long-lived email addresses for
   their members.

Typically, we'll request an email address (at minimum) because we (RFC Production Center) need to be able to contact the authors via email and get author approval for the document.  
Please let me know if you have any questions or if this causes any concern.

Thanks!
Sandy (for the RFC Production Center)